Worldticket API DOCUMENTATION

Cancellation Email Endpoint

This document explains how to use the /notifications/cancellation-email endpoint to send and resend cancellation emails.

Base URL

Production Test
https://api.sar.worldticket.cloud/sms-gateway-service https://test-api.worldticket.net/sms-gateway-service

Endpoint Overview

Endpoint: /notifications/cancellation-email
Method: POST
Content-Type: application/json

Description:

This endpoint is designed for sending and resending cancellation emails. It is used for Online Travel Agency (OTA) support representatives to send notifications of a cancelled booking, or segments within a booking, to specific recipients.

Request Parameters

Parameter Type Description Example
x-api-key Header Access Token Access token

This endpoint does not accept any parameters in the URL. All necessary data should be included in the request body.

Request Body

Send a JSON body with recordLocator and emails. Use ccEmails and bccEmails to add optional recipients.

Example Request Body

Resend for all cancelled segments
{
    "emails": ["to@go7.io"],
    "recordLocator": "ABC123"
}
Resend for specific cancelled segments
{
    "emails": ["to@go7.io"],
    "ccEmails": ["cc@go7.io"],
    "bccEmails": ["bcc@go7.io"],
    "recordLocator": "ABC123",
    "segments": [{
        "flightDesignator": "DEF4321",
        "departure": "ABC",
        "arrival": "DEF",
        "departureDate": "2026-12-15"
    }]
}

Response

If the request is successful, the endpoint will return a status code of 204 No Content.

Example Response

HTTP/1.1 204 No Content